SHA256SUM(1)

NOMBRE
sha256sum - genera y verifica sumas de comprobación SHA256

SINOPSIS
sha256sum [OPCIÓN]... [ARCHIVO]...

DESCRIPCIÓN

muestra o verifica sumas de comprobación SHA256 (256 bits).

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

-b, --binary
    lee en modo binario

-c, --check
    lee y verifica las sumas de comprobación presentes en ARCHIVO

--tag
    crea una suma de comprobación al estilo BSD

-t, --text
    lee en modo texto (por defecto)

-z, --zero
    finaliza cada línea de salida con NUL en lugar de un salto de línea, desactivando asimismo el escape en los nombres de archivo

  Las cinco opciones siguientes solo se utilizan al verificar sumas de comprobación:

--ignore-missing
    no emite ningún error ni informa si falta algún archivo

--quiet
    no muestra 'OK' para cada archivo que verifique

--status
    no emite ningún mensaje, el estado de salida indicará si todo transcurrió correctamente

--strict
    termina con un estado de salida distinto a cero si se encuentra con sumas de comprobación con un formato incorrecto

-w, --warn
    avisa si encuentra alguna suma de comprobación con un formato incorrecto

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Las sumas de comprobación se crean tal como se describe en FIPS-180-2. Para realizar la comprobación, los datos de entrada deberían haber sido creados con este programa. Por defecto, se muestra una línea con lo siguiente: la suma de comprobación, un espacio, un carácter indicando el modo de los datos de entrada ('*' si son binarios, ' ' para modo texto o si la parte binaria es insignificante) junto con el nombre de cada ARCHIVO.

En GNU no hay diferencia entre los modos binario y texto.

AUTOR
Escrito por Ulrich Drepper, Scott Miller y David Madore.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
cksum(1)

Documentación completa <https://www.gnu.org/software/coreutils/sha256sum>
también disponible localmente ejecutando: info '(coreutils) sha2 utilities'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.